Skip to main content

projectReportConfig

Retrieves project report configuration

projectReportConfig(
projectId: ID!
): ProjectReport!

Arguments​

projectReportConfig.projectId ● ID! non-null scalar​

Type​

ProjectReport object​

Example request

This generated query uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the projects query first and use data.projects.collection[].id as projectId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"query GetProjectReportConfig($projectId: ID!) {\n projectReportConfig(projectId: $projectId) { executiveReport { activeCustomExecutiveSummary activeCustomFinalConsiderations customExecutiveSummary } projectId technicalReport { activeCustomExecutiveSummary activeCustomFinalConsiderations customExecutiveSummary } }\n}","variables":{"projectId":"<project_id>"}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute